net.sf.jasperreports.data.provider

## Class DataSourceProviderDataAdapterService

- java.lang.Object
- - net.sf.jasperreports.data.AbstractDataAdapterService
  - - net.sf.jasperreports.data.AbstractClasspathAwareDataAdapterService
    - - net.sf.jasperreports.data.provider.DataSourceProviderDataAdapterService

- All Implemented Interfaces:
    DataAdapterService, ParameterContributor

      public class DataSourceProviderDataAdapterService
      extends AbstractClasspathAwareDataAdapterService

  Version:
    $Id: DataSourceProviderDataAdapterService.java 5878 2013-01-07 20:23:13Z teodord $
  Author:
    Teodor Danciu (teodord@users.sourceforge.net)

- - ### Field Summary

    - ### Fields inherited from class net.sf.jasperreports.data.AbstractClasspathAwareDataAdapterService

      `CURRENT_CLASS_LOADER`

    - ### Fields inherited from class net.sf.jasperreports.data.AbstractDataAdapterService

      `SECRETS_CATEGORY`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `DataSourceProviderDataAdapterService(DataSourceProviderDataAdapter dsDataAdapter)` Deprecated. Replaced by `DataSourceProviderDataAdapterService(JasperReportsContext, DataSourceProviderDataAdapter)`.
    `DataSourceProviderDataAdapterService(JasperReportsContext jasperReportsContext, DataSourceProviderDataAdapter dsDataAdapter)`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `contributeParameters(java.util.Map<java.lang.String,java.lang.Object> parameters)`
    `DataSourceProviderDataAdapter` | `getDataSourceProviderDataAdapter()`
    `JRDataSourceProvider` | `getProvider()`

    - ### Methods inherited from class net.sf.jasperreports.data.AbstractClasspathAwareDataAdapterService

      `getClassLoader`

    - ### Methods inherited from class net.sf.jasperreports.data.AbstractDataAdapterService

      `dispose, getDataAdapter, getJasperReportsContext, getName, setDataAdapter, setName, test`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### DataSourceProviderDataAdapterService

          public DataSourceProviderDataAdapterService(JasperReportsContext jasperReportsContext,
                                              DataSourceProviderDataAdapter dsDataAdapter)

    - #### DataSourceProviderDataAdapterService

          public DataSourceProviderDataAdapterService(DataSourceProviderDataAdapter dsDataAdapter)

      Deprecated. Replaced by `DataSourceProviderDataAdapterService(JasperReportsContext, DataSourceProviderDataAdapter)`.

  - ### Method Detail

    - #### getDataSourceProviderDataAdapter

          public DataSourceProviderDataAdapter getDataSourceProviderDataAdapter()

    - #### getProvider

          public JRDataSourceProvider getProvider()
                                           throws JRException

      Throws:
        `JRException`

    - #### contributeParameters

          public void contributeParameters(java.util.Map<java.lang.String,java.lang.Object> parameters)
                                    throws JRException

      Specified by:
        `contributeParameters` in interface `ParameterContributor`
      Specified by:
        `contributeParameters` in class `AbstractDataAdapterService`
      Throws:
        `JRException`

© 2001-2010 Jaspersoft Corporation www.jaspersoft.com